version: "3"
# List down all the services here
services:
  server:
    hostname: "server"
    # Map outside port to inner port of container
    ports:
      - 3000:3000
    # Specify how and what to build for the container
    build:
      context: .
      dockerfile: ".dockerfile"
      # These arg variables are to pass to dockerfile
      args:
        VERY_PRIVATE_KEY: "${VERY_PRIVATE_KEY}"
        OTHER_ENV_VARIABLE: "${OTHER_ENV_VARIABLE}"
    entrypoint: ""
    command: >
      sh -c "npm install && \
        nodemon -L --exec npm start"
    working_dir: /app
    volumes:
      - .:/app
    # You can also set your env vars here
    environment:
      PORT: 3000